Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcDriver

    java.lang.Object
      |
      +--org.hsqldb.jdbcDriver

public class jdbcDriver
extends java.lang.Object
implements java.sql.Driver

Each JDBC driver must supply a class that implements the Driver interface.

The Java SQL framework allows for multiple database drivers.

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

The application developer will normally not need to call any function of the Driver directly. All required calls are made by the DriverManager.

When the HSQL Database Engine Driver class is loaded, it creates an instance of itself and register it with the DriverManager. This means that a user can load and register the HSQL Database Engine driver by calling

     Class.forName("org.hsqldb.jdbcDriver")

For more information about how to connect to a HSQL Database Engine database, please see jdbcConnection.

See Also:
  `jdbcConnection`

Field Summary
`(package private) static int` | `MAJOR`
`(package private) static int` | `MINOR`
`(package private) static java.lang.String` | `PRODUCT`
`(package private) static java.lang.String` | `VERSION`

Constructor Summary
`jdbcDriver()`

Method Summary
`(package private) static void` | `()`
`boolean` | `acceptsURL(java.lang.String url)` Returns true if the driver thinks that it can open a connection to the given URL.
`java.sql.Connection` | `connect(java.lang.String url, java.util.Properties info)` Attempts to make a database connection to the given URL.
`int` | `getMajorVersion()` Gets the driver's major version number.
`int` | `getMinorVersion()` Gets the driver's minor version number.
`java.sql.DriverPropertyInfo[]` | `getPropertyInfo(java.lang.String url, java.util.Properties info)` Gets information about the possible properties for this driver.
`boolean` | `jdbcCompliant()` Reports whether this driver is a genuine JDBC COMPLIANTTM driver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAJOR

    static final int MAJOR

### MINOR

    static final int MINOR

### VERSION

    static final java.lang.String VERSION

### PRODUCT

    static final java.lang.String PRODUCT

Constructor Detail

### jdbcDriver

    public jdbcDriver()

Method Detail

### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties info)
                                throws java.sql.SQLException

  Attempts to make a database connection to the given URL. The driver returns "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

  The driver raises a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

  The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments.

  For HSQL Database Engine, at least "user" and "password" properties must be included in the Properties.

  Specified by:
    connect in interface java.sql.Driver
  Parameters:
    `url` - the URL of the database to which to connect
    `info` - a list of arbitrary string tag/value pairs as connection arguments. Normally at least a "user" and "password" property should be included.
  Returns:
    a `Connection` object that represents a connection to the URL
  Throws:
    java.sql.SQLException - if a database access error occurs

### acceptsURL

    public boolean acceptsURL(java.lang.String url)

  Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.
  Specified by:
    acceptsURL in interface java.sql.Driver
  Parameters:
    `url` - the URL of the database
  Returns:
    true if this driver can connect to the given URL

### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String url,
                                                         java.util.Properties info)

  Gets information about the possible properties for this driver.

  The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

  Specified by:
    getPropertyInfo in interface java.sql.Driver
  Parameters:
    `url` - the URL of the database to which to connect
    `info` - a proposed list of tag/value pairs that will be sent on connect open
  Returns:
    an array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.

### getMajorVersion

    public int getMajorVersion()

  Gets the driver's major version number.
  Specified by:
    getMajorVersion in interface java.sql.Driver
  Returns:
    this driver's major version number

### getMinorVersion

    public int getMinorVersion()

  Gets the driver's minor version number.
  Specified by:
    getMinorVersion in interface java.sql.Driver
  Returns:
    this driver's minor version number

### jdbcCompliant

    public boolean jdbcCompliant()

  Reports whether this driver is a genuine JDBC COMPLIANTTM driver. A driver may only report true here if it passes the JDBC compliance tests; otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases.

  HSQL Database Engine currently does not yet support all required SQL 92 Entry Level functionality and thus returns false. The features that are missing are currently 'HAVING', views and referential integrity. It looks like other drivers returns true but do not support all features.

  This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.

  Specified by:
    jdbcCompliant in interface java.sql.Driver

###

    static void ()

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD